Comment on LCC Update

snow leopard compatibility?